Help - Search - Members - Calendar
Full Version: KDE-Pim/Pi 1.9.7 Release
OESF Forums > General Forums > General Support and Discussion > Software
zautrix
Hi,

a new version 1.9.7 is available at

http://sourceforge.net/project/showfiles.p...ckage_id=112604


NOTE:
The file
kdepim197-OpenZaurus351.zip
contains a package of precompiled files for Open Zaurus 3.5.1 and
CANNOT be used on the usual Sharp Rom.

For Sharp Rom, download the xxx1.9.7_arm.ipk files!

New in VERSION 1.9.7

KO/Pi - KA/Pi on Windows:
Now a directory can be defined by the user, where the
application/config data should be saved.
Define your desired path in the evironment variable
MICROKDEHOME
before starting KO/Pi or KA/Pi.

An easy Kx/Pi to Kx/Pi syncing is now possible
(it is called Pi-Sync) via network.
Please look at the Sync Howto.

Exporting of calendar data and contacts to mobile phones is now possible.
The SyncHowto is updated with information howto
access/sync mobile phones.
Please look at the Sync Howto.

Now KO/Pi and KA/Pi on the Zaurus can receive data via infrared directly.
Please disable Fastload for the original contact/calendar applications
and close them.
KO/Pi and KA/Pi must be running in order to receive the data.
(KO/Pi and KA/Pi are always running if Fastload for them is enabled!)

In the KA/Pi details view are now the preferred tel. numbers displayed on top
of the other data ( emails/tel.numbers/addresses)

Fixed some syncing problems in KA/Pi.

Added font settings for the KA/Pi details view.
Added fields "children's name" and "gender" to KA/Pi.

Made searching in KA/Pi better:
Now the first item in a view is selected after a search automatically and
the views can be scrolled up/down when the search input field has the keyboard focus.

And, of course, fixed a bunch of reported bugs in KO/Pi and KA/Pi.
Hrw
Speaking about packages for OZ 3.5.1 - as KDEPIM/PI maintainer in OpenEmbedded I want to say, that packages which You give to download won't be supported by OE/OZ team. They are in old ipkg format, have wrong sections, no info about dependencies and korganizer-alarm is wrong packaged (applet apears twice).

OZ 3.5.2 will contain 1.9.7 release (or any newer).
zautrix
QUOTE(Hrw @ Oct 15 2004, 07:53 PM)
Speaking about packages for OZ 3.5.1 - as KDEPIM/PI maintainer in OpenEmbedded I want to say, that packages which You give to download won't be supported by OE/OZ team. They are in old ipkg format, have wrong sections, no info about dependencies and korganizer-alarm is wrong packaged (applet apears twice).

OZ 3.5.2 will contain 1.9.7 release (or any newer).

I actually have to help people with problems with the OZ packages, because important files are missing.
I would call that justice, if you will be asked from people, which have problems with my packages.

Have fun ...
Hrw
libmikrokdelibs contains bin/db2file which doesn't work on OZ 3.5.1 - need libsl and libzdtm which are available ONLY in SharpROM 3.x - without sources I cannot rebuild it. Also it has wrong permissions (0644 instead of 0755)

Nice to see that libmicrokabc_opie can be compiled with libopiepim2 - but there is no info how to do it in sources - kdepim/kabc/plugins/opie/ is for libopie1 which is obsolete.

Your fork of OpieMail cannot be builded with libmailwrapper from OPIE - and AFAIK patches wasn't even sent to upstream authors... (same with other programs based on other people sources).

Fork of gammu builds - but every time when I look at diffs which you did I wonder why this way and not just use libgammu - you mostly changed messages to be UPPERCASE.
ulf1
QUOTE(Hrw @ Oct 15 2004, 01:10 PM)
libmikrokdelibs contains bin/db2file which doesn't work on OZ 3.5.1 - need libsl and libzdtm which are available ONLY in SharpROM 3.x - without sources I cannot rebuild it. Also it has wrong permissions (0644 instead of 0755)

To the dependency question:

the libmicrokdelibs package includes some plugins (libraries) that can access addressbook data from various ROMS.
All those plugins are loaded dynamically and no static linkage is used.

libmicrokabc_sharpdtm is the plugin lib from the libmicrokdelibs package that needs libsl and libzdtm. If libsl or libzdtm will not be found, the lib will not be loaded.

If you do not want to support import/export for Sharp DTM addressbooks, simply define BUILD_NO_SHARP_PLUGIN=1 in our buildenvironment and rebuild or discard the plugin.

~Ulf
clive_2004
Any chance of someone doing a pdaXrom build?

I am not yet smart enough to do one myself unsure.gif

..Clive_2004
Hrw
ulf: I know that some of KDE-Pim/Pi plugins needs libraries which not exist in OZ - I just don't build them. Currently I build file, dir and binary plugins for KAdressbook - rest is unbuildable using OpenEmbedded.
Chaos
QUOTE(zautrix @ Oct 15 2004, 11:01 AM)
Now KO/Pi and KA/Pi on the Zaurus can receive data via infrared directly.
Please disable Fastload for the original contact/calendar applications
and close them.
KO/Pi and KA/Pi must be running in order to receive the data.
(KO/Pi and KA/Pi are always running if Fastload for them is enabled!)

YESSS!!! That's what I've been waiting for! (Oh yeah, that and the should-be-rock-solid 2.0 release. tongue.gif)

So once it hits that magical 2.0, I'll (probably - I'll make the final decision when I see how large they are fastloaded) be switching, and probably (at least attempt) to put those as defaults on my ROM, since they'll be so much nicer (again, depending on the size and the fastloaded RAM size).
panyasan
Hi,

I have installed the latest KDE/pi suite to internal Flash on my Zaurus, and have the following problems:

- when KO/Pi runs, the Zaurus becomes quite slow in reacting
- when I try to open an application window, such as "new event" or "configuration", the application constantly switches between the new window and the main window, making entry of data impossible. - even to shut the application down.
- KO/Pi says it needs 8seconds to save to local file

Anyone had this problem? The previous version I had installed worked without problems.

Thanks!

Christian

Zaurus SL c700
Cacko ROM 1.21b
panyasan
Ok, I found the problem. It occurred when enabling "fast load" for Ko/Pi just like for the Sharp applications. After disabling fast load, the application is still somewhat slow (that could be the fault of the C700, however), but functions.

I will certainly have more questions, but in any case, thanks so much for this great software!

Christian
raybert
I finally managed to import my address data from the old Sharp xml format (maintained by tkcAddress) into KA/Pi. Awesome!! Nice job guys!!

I did this by first importing to DTM and then syncing with DTM. If anyone is interested, I imported to DTM using a utility that I got from somewhere a while ago called "xml2dtm". if anyone needs more info about this let me know.

I still haven't gotten OM/Pi to run, however. I've got my (pop) account set-up but whenever I try to check for new mail I get this error: "Error while creating new folder /mnt/card/Documents/ompi Cancelling action."

"/mnt/card/Documents/ompi" is the directory that I configured in my account for storing mail (Local storage folder). I've tried creating the folder manually and I've tried running without the folder there. I've tried chmod'ing all of the folders in the path to 777 and I've tried running OM/Pi as root. Same error every time.

I'f anyone knows what I'm doing wrong I'd be grateful.

Thanks again to zautrix and ulf! Great work guys! And thanks in advance for any help with my OM/Pi problem.

~ray
zautrix
QUOTE(raybert @ Oct 17 2004, 03:58 PM)
I finally managed to import my address data from the old Sharp xml format (maintained by tkcAddress) into KA/Pi. Awesome!! Nice job guys!!

I did this by first importing to DTM and then syncing with DTM. If anyone is interested, I imported to DTM using a utility that I got from somewhere a while ago called "xml2dtm". if anyone needs more info about this let me know.

I still haven't gotten OM/Pi to run, however. I've got my (pop) account set-up but whenever I try to check for new mail I get this error: "Error while creating new folder /mnt/card/Documents/ompi Cancelling action."

"/mnt/card/Documents/ompi" is the directory that I configured in my account for storing mail (Local storage folder). I've tried creating the folder manually and I've tried running without the folder there. I've tried chmod'ing all of the folders in the path to 777 and I've tried running OM/Pi as root. Same error every time.

I'f anyone knows what I'm doing wrong I'd be grateful.

Thanks again to zautrix and ulf! Great work guys! And thanks in advance for any help with my OM/Pi problem.

~ray

/mnt/card/Documents/ompi is a path name, not a folder name!

All local folders are created as subfolders of
/home/zaurus/kdepim/apps/kopiemail/localmail

If you want to store your local mail on SD, please create a symlink from that folder to a folder on your SD card.
Delete the folder /home/Zaurus/kdepim/apps/kopiemail/localmail
and do
cd /home/Zaurus/kdepim/apps/kopiemail/
ln -s /mnt/card/Documents/ompi localmail

And then specify a "name" for the folder, not a path.

Hope, this helps.

z.
holck
My IMAP server doesn't support SSL, is there a way to use OMPI without SSL? I've tried the various options, but so far without luck; either I get a message saying "no support for TLS on server" or OMPI just seems to go to eternal sleep.

/Jesper
raybert
QUOTE(zautrix @ Oct 17 2004, 11:13 AM)
QUOTE(raybert @ Oct 17 2004, 03:58 PM)
I finally managed to import my address data from the old Sharp xml format (maintained by tkcAddress) into KA/Pi.  Awesome!!  Nice job guys!!

I did this by first importing to DTM and then syncing with DTM.  If anyone is interested, I imported to DTM using a utility that I got from somewhere a while ago called "xml2dtm".  if anyone needs more info about this let me know.

I still haven't gotten OM/Pi to run, however.  I've got my (pop) account set-up but whenever I try to check for new mail I get this error: "Error while creating new folder /mnt/card/Documents/ompi Cancelling action."

"/mnt/card/Documents/ompi" is the directory that I configured in my account for storing mail (Local storage folder).  I've tried creating the folder manually and I've tried running without the folder there.  I've tried chmod'ing all of the folders in the path to 777 and I've tried running OM/Pi as root.  Same error every time.

I'f anyone knows what I'm doing wrong I'd be grateful.

Thanks again to zautrix and ulf!  Great work guys!  And thanks in advance for any help with my OM/Pi problem.

~ray

/mnt/card/Documents/ompi is a path name, not a folder name!

All local folders are created as subfolders of
/home/zaurus/kdepim/apps/kopiemail/localmail

If you want to store your local mail on SD, please create a symlink from that folder to a folder on your SD card.
Delete the folder /home/Zaurus/kdepim/apps/kopiemail/localmail
and do
cd /home/Zaurus/kdepim/apps/kopiemail/
ln -s /mnt/card/Documents/ompi localmail

And then specify a "name" for the folder, not a path.

Hope, this helps.

z.

Aaah, okay. Thanks zautrix! I've got it working now! smile.gif

I could argue about your distinction between "path name" and "folder name", but I won't.. wink.gif

I understand your point though; I didn't realize it had to be relative to "/home/Zaurus/kdepim/apps/kopiemail".

Thanks again for all the great work!!

~ray
SteelMyst
I can't get OM/Pi to start. It says libssl is missing. I noticed other people had this problem, but I couldn't find a fix mentioned anywhere. Maybe I missed it.

TIA,
Nick
zautrix
QUOTE(SteelMyst @ Oct 18 2004, 01:58 AM)
I can't get OM/Pi to start. It says libssl is missing. I noticed other people had this problem, but I couldn't find a fix mentioned anywhere. Maybe I missed it.

TIA,
Nick

You can get it from

http://www.killefiz.de/zaurus/showdetail.php?app=1416
plcg
Hi,

I've upgraded KDE-Pim/Pi from 1.9.2 to 1.9.7.
Since, when i delete an event in KO/Pi, it reappears after synchronization with Sharp DTM.

The only way to delete an event (or a To-Do) is to delete it :
- in Outlook on my desktop PC,
- in Sharp calendar application.

Is there anything i missed ?
Can someone help me ?

Thanks a lot,
plcg
PsionX
HowTo use :
QUOTE
KO/Pi - KA/Pi on Windows:
Now a directory can be defined by the user, where the
application/config data should be saved.
  Define your desired path in the evironment variable
  MICROKDEHOME
  before starting KO/Pi or KA/Pi.

Where is this variable...

For ex. , I just want to write all my Ko/Pi data in F:/KO/
wink.gif

PS: There is possibilty to do a french traduction of Ka/Pi ??
Ata
How do I use non-standard timezones? E.g. GMT+9:30???


Thanks,
Ata
zautrix
QUOTE(PsionX @ Oct 18 2004, 01:41 PM)
HowTo use :
QUOTE
KO/Pi - KA/Pi on Windows:
Now a directory can be defined by the user, where the
application/config data should be saved.
  Define your desired path in the evironment variable
  MICROKDEHOME
  before starting KO/Pi or KA/Pi.

Where is this variable...

For ex. , I just want to write all my Ko/Pi data in F:/KO/
wink.gif

PS: There is possibilty to do a french traduction of Ka/Pi ??

You have to define the env. variable in Windows itself.

Please look in the windows help how to create and set env. variable.

You have to create a new one, name
MICROKDEHOME
Value
F:/KO
(or maybe F:/KO/ - just try it out).

If you have problems, restart Windows.

A German/French translation would be nice, but I do not know, how we will do that.
There are some problems to solve first.

z.
zautrix
QUOTE(Ata @ Oct 18 2004, 02:19 PM)
How do I use non-standard timezones? E.g. GMT+9:30???


Thanks,
Ata

Not possible at the moment.

I will add a "add 30 minutes" to the timezone settings in the next version.

z.
PsionX
QUOTE(zautrix @ Oct 18 2004, 02:30 PM)
You have to create a new one, name
MICROKDEHOME
Value
F:/KO
(or maybe F:/KO/ - just try it out).

If you have problems, restart Windows.

A German/French translation would be nice, but I do not know, how we will do that.
There are some problems to solve first.

z.

Thanks.. no problem at home with XP, but i use Ko/Pi at office under NT.. without admin rights...
There is no possibility ??
A config option in Ko/Pi, or specific file (ex. .configfolderlocation ) in program folder wink.gif
--
For a Ka/Pi traduction, there is no possibilty to make a usertranslation.txt ?? (i don't think, it will exist already).
plcg
Hi,

For my problem of event/To-do not erasable, the solution was :
1) Remove file mycalendar.ics
2) Sync with Sharp DTM

And all became as it was before smile.gif

Thanks for this great software suite.
It helps me daily for my job.

plcg
zautrix
QUOTE(PsionX @ Oct 18 2004, 03:22 PM)
QUOTE(zautrix @ Oct 18 2004, 02:30 PM)
You have to create a new one, name
MICROKDEHOME
Value
F:/KO
(or maybe F:/KO/ - just try it out).

If you have problems, restart Windows.

A German/French translation would be nice, but I do not know, how we will do that.
There are some problems to solve first.

z.

Thanks.. no problem at home with XP, but i use Ko/Pi at office under NT.. without admin rights...
There is no possibility ??
A config option in Ko/Pi, or specific file (ex. .configfolderlocation ) in program folder wink.gif
--
For a Ka/Pi traduction, there is no possibilty to make a usertranslation.txt ?? (i don't think, it will exist already).

Ok, then simply create a text file kopi2.bat and put it in the same dir as kopi.
The content of this file should be(adjust your path):
set MICROKDEHOME=D:\kdepim
kopi.exe


Now you can "start" this file and get, what you want.

Any config option in kopi would require to read the config before you know, where the config is stored ...

z.
PsionX
QUOTE(zautrix @ Oct 18 2004, 04:21 PM)
Any config option in kopi would require to read the config before you know, where the config is stored ...

z.

I'm confused !! wacko.gif
ulf1
QUOTE(PsionX @ Oct 18 2004, 08:26 AM)
QUOTE(zautrix @ Oct 18 2004, 04:21 PM)
Any config option in kopi would require to read the config before you know, where the config is stored ...

z.

I'm confused !! wacko.gif

zautrix talkes about a chicken egg problem.

The .bat file is the only option you have.
panyasan
Hi,

I installed the new 1.9.8 release on my C700 (cacko 1.21b).

You need OpenSSL for OM/PI, get it at http://bryandeluca.com/feed/ not at Killefiz.

Everything work, including sync! This is gorgeous, thank you guys! I bough the TkC applications a year ago and have been waiting in vain for syncing ever since.

One small problem: Ka/PI doesn't change to German neither on the Z nor on Windows despite restart.

Haven't tried OM/PI because my wireless doesn't work.

P.
johnw
QUOTE(raybert @ Oct 17 2004, 02:58 PM)
I did this by first importing to DTM and then syncing with DTM. If anyone is interested, I imported to DTM using a utility that I got from somewhere a while ago called "xml2dtm". if anyone needs more info about this let me know.

I am very interested in finding this utility. Can you give me more information?
snufkin
anyone using 1.9.7 has dtm syncing problem w/ outlook? when using previous version, it works perfectly. however, in 1.9.7, i can only sync with outlook after i quit kopi and fastload disabled. if not, i'll get an API error in my pc.

i'll log the problem in sourceforge as well. unsure.gif
snufkin
QUOTE(plcg @ Oct 18 2004, 10:27 PM)
Hi,

For my problem of event/To-do not erasable, the solution was :
1) Remove file mycalendar.ics
2) Sync with Sharp DTM

And all became as it was before smile.gif

Thanks for this great software suite.
It helps me daily for my job.

plcg

plcg, thanks a lot. that solves a lot of my troubles.
raybert
QUOTE(johnw @ Oct 18 2004, 08:28 PM)
QUOTE(raybert @ Oct 17 2004, 02:58 PM)

I did this by first importing to DTM and then syncing with DTM.  If anyone is interested, I imported to DTM using a utility that I got from somewhere a while ago called "xml2dtm".  if anyone needs more info about this let me know.

I am very interested in finding this utility. Can you give me more information?

I don't recall where I got the xml2dtm utility from but I think it was via a link on one of the message boards.

I just did a search in ZUG and found this link: <http://www.pellicosystems.com/zaurus/appli...ons/xml2dtm.tar>. It appears to still work.

I couldn't find xml2dtm on ZSI.

I'll upload the package to the ZUG for posterity. smile.gif

The package contains a binary and a script. I modified the script slightly for my own use. I only wanted to import the address book and I was afraid of breaking my existing addresses, so I changed the script to make a local copy of the addressbook file and then work from that. I also enabled the category import, but it doesn't seem to have worked (I had to recreate all of my categories manually in KA/pi). Here's my modified script:

CODE
#!/bin/sh

cp /home/root/Settings/Categories.xml .
./xml2dtm Categories.xml /home/zaurus/Applications/dtm/SLFLER.BOX
rm -f ./Categories.xml

cp /home/root/Applications/addressbook/addressbook.xml .
./xml2dtm addressbook.xml /home/root/Applications/dtm/SLADRS.BOX
rm -f ./addressbook.xml

#./xml2dtm datebook.xml /home/zaurus/Applications/dtm/SLDATE.BOX
#./xml2dtm todolist.xml /home/zaurus/Applications/dtm/SLTODO.BOX
#qcop QPE/Application/addressbook 'reload()'

Good luck,

~ray
DaveAnderson
Hey Guys,

I'm loving the look of these programs. They're perfect for my Z C860.

Has anyone successfully sync'd with Evolution 2.0? I need to know if I can sync my contacts and calendar info. Thanks.
swing
QUOTE(snufkin @ Oct 19 2004, 03:22 AM)
anyone using 1.9.7 has dtm syncing problem w/ outlook?  when using previous version, it works perfectly.  however, in 1.9.7, i can only sync with outlook after i quit kopi and fastload disabled.  if not, i'll get an API error in my pc.

Yes, I've got something similar.

I installed v1.9.8 (first version to be installed to me Zaurus - although I've been using the Windows version for a while in preparation for buying the Z)...

I set KO/Pi and KA/Pi to fastload, remapped the Application buttons to kopi and kapi, and set the Calendar / Address Book / ToDo NOT fastload, and got the sync error.

However, I also found that clicking on the Calendar etc. started KO/Pi, which seemed a little wrong, so I set the 3 original apps back to fastload, and now syncing works again.

I guess I'm wasting memory keeping these fastloaded, but I need syncing, as I have a number of apps feeding new data into Outlook that I want to get into my diary, so would like to see a resolution to this problem too.
zautrix
QUOTE(swing @ Oct 20 2004, 07:56 PM)
QUOTE(snufkin @ Oct 19 2004, 03:22 AM)
anyone using 1.9.7 has dtm syncing problem w/ outlook?  when using previous version, it works perfectly.  however, in 1.9.7, i can only sync with outlook after i quit kopi and fastload disabled.  if not, i'll get an API error in my pc.

Yes, I've got something similar.

I installed v1.9.8 (first version to be installed to me Zaurus - although I've been using the Windows version for a while in preparation for buying the Z)...

I set KO/Pi and KA/Pi to fastload, remapped the Application buttons to kopi and kapi, and set the Calendar / Address Book / ToDo NOT fastload, and got the sync error.

However, I also found that clicking on the Calendar etc. started KO/Pi, which seemed a little wrong, so I set the 3 original apps back to fastload, and now syncing works again.

I guess I'm wasting memory keeping these fastloaded, but I need syncing, as I have a number of apps feeding new data into Outlook that I want to get into my diary, so would like to see a resolution to this problem too.

I have added a "receive via infrared beamed entries automatically" to KO/Pi and KA/Pi.
The new feature is responsible for the syncing error.
Will be fixed in next version.
(In next version, "receive via infrared beamed entries automatically" will be disabled before syncing)

z.
jettie1767
zautrix,

how come when I click on Calendar or Address Book, they explode but never open? are they disabled when ko/pi and ka/pi are installed? The Email program still works. The only difference I can think of is that ko/pi and ka/pi are fast-loaded and mo/pi is not. btw, the original Calendar, Address Book and Email are all not fast loaded.

Thanks!
zautrix
QUOTE(jettie1767 @ Oct 20 2004, 09:18 PM)
zautrix,

how come when I click on Calendar or Address Book, they explode but never open? are they disabled when ko/pi and ka/pi are installed? The Email program still works. The only difference I can think of is that ko/pi and ka/pi are fast-loaded and mo/pi is not. btw, the original Calendar, Address Book and Email are all not fast loaded.

Thanks!

It is caused by the "add received beamed entries automatically" feature.

KO/Pi and KA/Pi are "registering" itself as the standard pim apps at startup.

Such that the standard pim apps cannot be started, if KO/Pi and KA/Pi ar running.

Thats it actually not a bug, it is a feature. ( the "add received beamed entries automatically" feature.).

z.
jettie1767
Thanks for the clarification, z!
zautrix
FYI:

New Version 1.9.9 available at

http://sourceforge.net/project/showfiles.p...ckage_id=112604

KDE-Pim/Pi has a new member, it is called PWM/Pi and is a password manager.

Releasenotes and change log available at the new pi-sync forum:

http://www.pi-sync.net/phpBB2/viewforum.php?f=3
zautrix
QUOTE(zautrix @ Oct 22 2004, 06:58 PM)
FYI:

New Version 1.9.9 available at

http://sourceforge.net/project/showfiles.p...ckage_id=112604

KDE-Pim/Pi has a new member, it is called PWM/Pi and is a password manager.

Releasenotes and change log available at the new pi-sync forum:

http://www.pi-sync.net/phpBB2/viewforum.php?f=3

Please DO NOT USE KO/Pi 1.9.9!

There is a strange bug with the time settings!

z.
Hrw
cool... I just builded it (filename of source archive sucks) - didn't tested yet on device.
zautrix
QUOTE(Hrw @ Oct 22 2004, 11:30 PM)
cool... I just builded it (filename of source archive sucks) - didn't tested yet on device.

I have changed the makefile to build the source archive with your desired name.

You wouldn't have noticed that bug, it was caused by a German translation of a timezone settings string.

And you probably wouldn't have noticed a much more uglier bug I found regarding the timezone settings when looking for the first bug.

Such that the first bug was actually good luck, because I found the second.

New version 1.9.10 will be available soon...

FYI:
The bulding of the qtopia resource plugin has changed.
It does not depend on any external lib anymore such that it should be possible to build it in OE.


z.
Hrw
CODE
ccache arm-linux-g++ -march=armv4 -mtune=xscale -c -pipe -I/home/hrw/zaurus/oe/build/1014/tmp/staging/arm-linux/include -fexpensive-optimizations -fomit-frame-pointer -frename-registers -O2  -fno-exceptions -fno-rtti -I/home/hrw/zaurus/oe/build/1014/tmp/staging/arm-linux/include -fexpensive-optimizations -fomit-frame-pointer -frename-registers -O2 -fpermissive  -Wall -W  -O2 -fPIC  -DQWS -DQT_NO_DEBUG -I/home/hrw/zaurus/oe/build/1014/tmp/staging/i686-linux/share/qmake/linux-oe-g++ -I. -I/home/hrw/zaurus/oe/build/1014/tmp/work/kdepimpi-1.9.9+20041023-r0/kdepim -I/home/hrw/zaurus/oe/build/1014/tmp/work/kdepimpi-1.9.9+20041023-r0/kdepim/kabc -I/home/hrw/zaurus/oe/build/1014/tmp/work/kdepimpi-1.9.9+20041023-r0/kdepim/microkde -I/home/hrw/zaurus/oe/build/1014/tmp/work/kdepimpi-1.9.9+20041023-r0/kdepim/microkde/kdecore -I/home/hrw/zaurus/oe/build/1014/tmp/work/kdepimpi-1.9.9+20041023-r0/kdepim/microkde/kio/kfile -I/home/hrw/zaurus/oe/build/1014/tmp/work/kdepimpi-1.9.9+20041023-r0/kdepim/microkde/kio/kio -I/home/hrw/zaurus/oe/build/1014/tmp/work/kdepimpi-1.9.9+20041023-r0/kdepim/microkde/kresources -I/home/hrw/zaurus/oe/build/1014/tmp/work/kdepimpi-1.9.9+20041023-r0/kdepim/qtcompat -I/home/hrw/zaurus/oe/build/1014/tmp/staging/arm-linux/include -I.. -I/home/hrw/zaurus/oe/build/1014/tmp/staging/arm-linux/qt2/include -Imoc/ -o obj/resourceqtopia.o resourceqtopia.cpp
resourceqtopia.cpp:46:39: qpe/pim/addressbookaccess.h: No such file or directory
resourceqtopia.cpp:322: warning: unused parameter 'addr'
make[1]: *** [obj/resourceqtopia.o] Error 1


libqpe from OPIE doesn't have pim stuff

kabc/plugins/opie/ fails too - libopie1 is obsolete - libopie2* are now in use.
ulf1
Hello,

please do not use pwm/pi to store important data yet.
We found a bug in the encryptionroutines that can lead to the loss of data.

Neverthless try it with some testdata and let us know your impressions.

thanks,
Ulf
Chaos
I'm playing with KDEPIM/PI 1.9.7 right now, and it's REALLY nice. Must be really close to a fully-stable version. smile.gif

Actually, I'm integrating it into my ROM's next release. smile.gif It's gonna be fun stuff. Just wiped out all the Qtopia/Opie/DTM sync libs since I don't need them (as it's going to be only KDEPIM/PI based). wink.gif Every time a new KDEPIM/PI is released, I'll integrate it right in. biggrin.gif

Hmm, first ROM with integrated KDEPIM/PI, maybe?

And yeah, my post was a little bit of rambling... Being tired promotes rambling...
Hrw
Chaos: You won't be first... OpenEmbedded team create OPIE+KDEPIM/PI images since 2004.07.20 (they are not released)
Hrw
QUOTE(zautrix @ Oct 23 2004, 12:40 AM)
FYI:
The bulding of the qtopia resource plugin has changed.
It does not depend on any external lib anymore such that it should be possible to build it in OE.

Thx - newest builds contain qtopia plugin too (didn't tested does it work - it builds anyway).
hilarycheng
any version that I can use for pdaXrom ?
markk
QUOTE(Hrw @ Oct 23 2004, 12:46 PM)
Chaos: You won't be first... OpenEmbedded team create OPIE+KDEPIM/PI images since 2004.07.20 (they are not released)


Are these (eventually) going to be released? Perhaps 3.5.2...
Hrw
probably with 3.5.2 - have to check does it fit
Flandry
Are you still discussing this version? That was soooo last week.
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.